# Class GenerateXml

java.lang.Object
net.sf.statcvs.pages.xml.GenerateXml

public class GenerateXml extends Object

## Constructor Summary

Constructors
Constructor
Description
`GenerateXml(ReportConfig config)`

## Method Summary

Modifier and Type
Method
Description
`void`
`generate()`
This method will invoke the classes which capture the data required to generate the xmls

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenerateXml

public GenerateXml(ReportConfig config)

Parameters:
  `config` - Configuration and data for the report suite

## Method Details

### generate

public void generate()
This method will invoke the classes which capture the data required to generate the xmls